Run schedule now
Launch the schedule’s instance or job immediately, whether the schedule is paused or not. next_run_at does not move; last_* and run_count are updated like a scheduled run.
POST
/
schedules
/
{id}
/
run-now
Run schedule now
curl --request POST \
--url https://www.runcrate.ai/api/v1/schedules/{id}/run-now \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.runcrate.ai/api/v1/schedules/{id}/run-now"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.runcrate.ai/api/v1/schedules/{id}/run-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.runcrate.ai/api/v1/schedules/{id}/run-now",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.runcrate.ai/api/v1/schedules/{id}/run-now"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.runcrate.ai/api/v1/schedules/{id}/run-now")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.runcrate.ai/api/v1/schedules/{id}/run-now")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "instance",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spec": {},
"max_runtime_minutes": 2,
"timezone": "UTC",
"overlap": "skip",
"enabled": true,
"run_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"run_as": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_as_credential": "user",
"run_at": "2023-11-07T05:31:56Z",
"cron": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_status": "launched",
"last_error": "<string>",
"last_instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"instance": {
"id": "<string>",
"name": "<string>",
"status": "running",
"gpu_type": "<string>",
"gpu_count": 123,
"cpu_cores": 123,
"memory": 123,
"storage": 123,
"region": "<string>",
"ip": "<string>",
"os_image": "<string>",
"cost_per_hour": 123,
"deployed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "queued",
"command": "<string>",
"gpu_type": "<string>",
"gpu_count": 4,
"env_keys": [
"<string>"
],
"max_runtime_minutes": 720,
"created_at": "2023-11-07T05:31:56Z",
"template": "<string>",
"image": "<string>",
"storage_id": "<string>",
"exit_code": 123,
"error": "<string>",
"instance_id": "<string>",
"environment_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"cost_per_hour": 123,
"cost_usd": 123,
"log_bytes": 123,
"logs_truncated": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.
Path Parameters
Response
Launched. instance or job is the resource it started.
Show child attributes
Show child attributes
⌘I
Run schedule now
curl --request POST \
--url https://www.runcrate.ai/api/v1/schedules/{id}/run-now \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.runcrate.ai/api/v1/schedules/{id}/run-now"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.runcrate.ai/api/v1/schedules/{id}/run-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.runcrate.ai/api/v1/schedules/{id}/run-now",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.runcrate.ai/api/v1/schedules/{id}/run-now"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.runcrate.ai/api/v1/schedules/{id}/run-now")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.runcrate.ai/api/v1/schedules/{id}/run-now")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "instance",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spec": {},
"max_runtime_minutes": 2,
"timezone": "UTC",
"overlap": "skip",
"enabled": true,
"run_count": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"run_as": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_as_credential": "user",
"run_at": "2023-11-07T05:31:56Z",
"cron": "<string>",
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_status": "launched",
"last_error": "<string>",
"last_instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"instance": {
"id": "<string>",
"name": "<string>",
"status": "running",
"gpu_type": "<string>",
"gpu_count": 123,
"cpu_cores": 123,
"memory": 123,
"storage": 123,
"region": "<string>",
"ip": "<string>",
"os_image": "<string>",
"cost_per_hour": 123,
"deployed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"job": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "queued",
"command": "<string>",
"gpu_type": "<string>",
"gpu_count": 4,
"env_keys": [
"<string>"
],
"max_runtime_minutes": 720,
"created_at": "2023-11-07T05:31:56Z",
"template": "<string>",
"image": "<string>",
"storage_id": "<string>",
"exit_code": 123,
"error": "<string>",
"instance_id": "<string>",
"environment_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"cost_per_hour": 123,
"cost_usd": 123,
"log_bytes": 123,
"logs_truncated": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}